# $Revision: 1.12 $, $Date: 2010/09/30 19:59:41 $
%define		hordeapp dimp

%include	/usr/lib/rpm/macros.php
Summary:	Dynamic Internet Messaging Program (DIMP)
Summary(pl.UTF-8):	Program do dynamicznej komunikacji przez Internet (DIMP)
Name:		horde-%{hordeapp}
Version:	1.1.5
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	ftp://ftp.horde.org/pub/dimp/%{hordeapp}-h3-%{version}.tar.gz
# Source0-md5:	6d7605cd927eabf42de3cdb582237d6e
Source1:	%{hordeapp}.conf
URL:		http://www.horde.org/dimp/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.264
Requires:	apache(mod_access)
Requires:	horde >= 3.2
Requires:	horde-imp >= 4.2
Requires:	webapps
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'pear(Horde.*)'

%define		hordedir	/usr/share/horde
%define		_appdir		%{hordedir}/%{hordeapp}
%define		_webapps	/etc/webapps
%define		_webapp		horde-%{hordeapp}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
DIMP (Dynamic Internet Messaging Program, or Dynamic IMP) is a
PHP-based webmail system and a component of the Horde project. DIMP is
a version of the webmail client IMP utilizing AJAX-like technologies
to allow a more dynamic user experience than traditionally offered via
IMP.

The Horde Project writes web applications in PHP and releases them
under the GNU Public License. For more information (including help
with DIMP) please visit <http://www.horde.org/>.

%description -l pl.UTF-8
DIMP (Dynamic Internet Messaging Program lub Dynamic IMP) to oparty na
PHP system webmaila (poczty przez WWW) i komponent projektu Horde.
DIMP to wersja klienta poczty przez WWW IMP wykorzystująca techlologie
typu AJAX do zapewnienia bardziej dynamicznego zachowania niż
tradycyjnie oferowane przez IMP-a.

Projekt Horde tworzy aplikacje WWW w PHP i wydaje je na licencji GNU
General Public License. Więcej informacji (włącznie z pomocą dla
DIMP) można znaleźć na stronie <http://www.horde.org/>.

%prep
%setup -q -n %{hordeapp}-h3-%{version}

rm -f {,*/}.htaccess
for i in config/*.dist; do
	mv $i config/$(basename $i .dist)
done
# considered harmful (horde/docs/SECURITY)
rm -f test.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/docs}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}
echo '<?php ?>' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/conf.php.bak
cp -a js lib locale templates themes $RPM_BUILD_ROOT%{_appdir}
cp -a docs/CREDITS $RPM_BUILD_ROOT%{_appdir}/docs

ln -s %{_sysconfdir} $RPM_BUILD_ROOT%{_appdir}/config
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/conf.php.bak ]; then
	install /dev/null -o root -g http -m660 %{_sysconfdir}/conf.php.bak
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc README docs/*
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/conf.php
%attr(660,root,http) %config(noreplace) %ghost %{_sysconfdir}/conf.php.bak
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/[!c]*.php
%attr(640,root,http) %{_sysconfdir}/conf.xml

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/config
%{_appdir}/docs
%{_appdir}/js
%{_appdir}/lib
%{_appdir}/locale
%{_appdir}/templates
%{_appdir}/themes

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: horde-dimp.spec,v $
Revision 1.12  2010/09/30 19:59:41  glen
- autoup to 1.1.5

Revision 1.11  2010/04/22 10:37:59  baggins
- 1.1.4

Revision 1.10  2008/10/11 00:01:37  baggins
- rel 1
- sanitized R/S

Revision 1.9  2008/10/10 10:23:48  baggins
- added js dir to package
- fixed typo

Revision 1.8  2008/10/10 09:44:40  baggins
- typo

Revision 1.7  2008/10/09 22:53:07  glen
- BR tar was due --strip-components= arg, now that's gone no need for versioned dep

Revision 1.6  2008/10/09 22:44:56  baggins
- use correct dir name in setup

Revision 1.5  2008/10/09 22:17:02  baggins
- just copy CREDITS where horde wants it, instead of making a symlink
  (possibly pointing to nothingnes if package is installed with --excludedocs)

Revision 1.4  2008/10/09 21:50:40  baggins
- updated to 1.1
- removed unreadable tangle of macros and ugly hacks

Revision 1.3  2008-02-06 23:00:13  glen
- update to 1.0rc2, unify macros

Revision 1.2  2007-09-02 10:46:44  qboosh
- pl

Revision 1.1  2007/08/27 09:39:36  glen
- new (based on template-horde.spec)
